            #GIT_CMT=e87c179be315dbe25c2e2fcc27753c0c079a921e
#
# Spec file for oracleasm
#

# Macros
# This one is hardcoded because, well, it belongs there
%define _prefix /usr
# Because RPM is dumb
%define _unpackaged_files_terminate_build 0

# Turn on's and off's (summit and debug not used but added
# for future proofing)

Summary: The Oracle Automatic Storage Management support programs.
Name: oracleasm-support
Version: 2.1.12
Release:    1.el8
License: GPL
Group: System Environment/Kernel
Source: oracleasm-support-2.1.12.tar.bz2
URL: http://oss.oracle.com/projects/oracleasm/
Distribution: Oracle
Vendor: Oracle Corporation
Packager: Martin K. Petersen <martin.petersen@oracle.com>
AutoReqProv: no
BuildRequires: autoconf

BuildRoot: %{_tmppath}/oracleasm-support-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}-root



%description
Tools to manage the Oracle Automatic Storage Management library driver


%prep
%setup -n oracleasm-support-%{version}


%build

autoreconf -fiv

./configure					\
	--prefix=%{_prefix}			\
	--exec-prefix=%{_exec_prefix}		\
	--bindir=%{_bindir}			\
	--sbindir=%{_sbindir}			\
	--sysconfdir=%{_sysconfdir}		\
	--datadir=%{_datadir}			\
	--includedir=%{_includedir}		\
	--libdir=%{_libdir}			\
	--libexecdir=%{_libexecdir}		\
	--localstatedir=%{_localstatedir}	\
	--sharedstatedir=%{_sharedstatedir}	\
	--mandir=%{_mandir}			\
	--infodir=%{_infodir}			\
	--sbindir=/usr/sbin			\
	--with-execpath=/usr/lib/oracleasm

make



%install

mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp -f vendor/rhel8/oracleasm.init $RPM_BUILD_ROOT/etc/init.d/oracleasm
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system/
cp -f oracleasm.service $RPM_BUILD_ROOT/usr/lib/systemd/system/
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp -f vendor/rhel8/oracleasm.init $RPM_BUILD_ROOT/usr/sbin/oracleasm.init
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cp -f vendor/rhel8/oracleasm.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/oracleasm

make DESTDIR="$RPM_BUILD_ROOT" install


%clean
rm -rf "$RPM_BUILD_ROOT"


%post
chkconfig oracleasm on


%postun
if [ "$1" = "0" ]
then
	rm -f "/etc/sysconfig/oracleasm-_dev_oracleasm"
fi


%triggerpostun -- oracleasm-support = 2.1.12-1.el8 
if [ -f "/etc/sysconfig/oracleasm-_dev_oracleasm.old" ] 
then
	mv -n /etc/sysconfig/oracleasm-_dev_oracleasm.old /etc/sysconfig/oracleasm-_dev_oracleasm 
fi


%files
%defattr(-,root,root)
%doc documents/ReleaseNotes
/usr/lib/systemd/system/oracleasm.service
/usr/sbin/asmtool
/usr/sbin/asmscan
/usr/sbin/oracleasm
/usr/sbin/oracleasm.init
/usr/lib/oracleasm
/usr/share/man
%attr(0755,root,root) /etc/init.d/oracleasm
%config(noreplace) /etc/sysconfig/oracleasm



%changelog
* Fri Feb 28 2020 Rajan Shanmugavelu <rajan.shanmugavelu@oracle.com> - 2.1.12-1.el8
- asmlib-support: add git build support OL8/UEK6 (OraBug : 30220714)

* Thu Feb 01 2018 Divya Indi <divya.indi@oracle.com> - 2.1.11-2
- Avoid overwriting config file during upgrade. (Orabug: 27319104)

* Fri Dec 01 2017 Divya Indi <divya.indi@oracle.com>
- Bump version to 2.1.11-1

* Fri Dec 01 2017 Divya Indi <divya.indi@oracle.com>
- Remove init.d reference in /etc/sysconfig/oracleasm (Orabug: 25600971)

* Fri Dec 01 2017 Divya Indi <divya.indi@oracle.com>
- Add-support for handling unused iid files. (Orabug: 22110521)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Add timestamps to /var/log/oracleasm. (Orabug: 21062107)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Restore deleted ASMLib disk. (Orabug: 24161349)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Track devices under dir other than default. (Orabug: 13097990)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Document -f option for renamedisk.(Orabug:19234632)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Modifying err msg for createdisk. (Orabug: 23040118)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Print deprecated warning when running /etc/init.d/oracleasm.
- (Orabug: 21678991)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Add systemctl support. (Orabug: 18513404)

* Wed Jan 07 2004 Joel Becker <joel.becker@oracle.com>
- Make open package.

* Thu Dec 11 2003 Joel Becker <joel.becker@oracle.com>
- Try at userspace thingie.

* Wed Nov 12 2003 Joel Becker <joel.becker@oracle.com>
- Start the ASM rename.

* Thu Oct 30 2003 Joel Becker <joel.becker@oracle.com>
- Created EL3 version

* Mon Jun 23 2003 Joel Becker <joel.becker@oracle.com>
- Added osm-lib bits

* Fri Jun 20 2003 Joel Becker <joel.becker@oracle.com>
- Initial RPM

